[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# fsync

Synchronize file's kernel data with disk.

## Declaration

Source position: unix.pp line 101

`function fsync(`
`fd: cint`
`):cint;`

## Description

Fsync synchronizes the kernel data for file fd (the cache) with the disk. The call will not return till all file data was written to disk.

If the call was succesfull, 0 is returned. On failure, a nonzero value is returned.

## Errors

Extended error information is returned by the FpGetErrno function:

## See also

FpFLock |  | Lock a file (advisory lock)

Documentation generated on: Feb 26 2014